### Constructor

# GimpUi VectorsComboBox new

#### Declaration [src]

    GtkWidget*
    gimp_vectors_combo_box_new (
      GimpItemConstraintFunc constraint,
      gpointer data,
      GDestroyNotify data_destroy
    )

#### Description [src]

Creates a new `GimpIntComboBox` filled with all currently opened vectors objects. If a `constraint` function is specified, it is called for each vectors object and only if the function returns `TRUE`, the vectors object is added to the combobox.

You should use `gimp_int_combo_box_connect()` to initialize and connect the combo. Use `gimp_int_combo_box_set_active()` to set the active vectors ID and `gimp_int_combo_box_get_active()` to retrieve the ID of the selected vectors object.

Available since: | 2.4

#### Parameters

`constraint` | `GimpItemConstraintFunc`
| A `GimpItemConstraintFunc` or `NULL`.
| The argument can be `NULL`.
`data` | `gpointer`
| A pointer that is passed to `constraint`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`data_destroy` | `GDestroyNotify`
| Destroy function for `data`.

#### Return value

Returns: | `GtkWidget`
| A new `GimpIntComboBox`.
| The data is owned by the called function.